<ul class="alert alert-danger" *ngIf="errores?.length > 0">
  <li *ngFor="let err of errores">
    {{ err }}
  </li>
</ul>

<div class="card bg-dark text-white">
  <div class="card-header">Agregar   producto</div>
  <div class="card-body">

    <form #productosForm="ngForm">
      <div class="form-group row">
        <label for="nombre" class="col-form-label col-sm-2">Nombre</label>
        <div class="col-sm-6">
          <input type="text" class="form-control" [(ngModel)]="producto.nombre" name="nombre" #nombre="ngModel"> <!-- required minlength="4" -->
          <div class="alert alert-danger" *ngIf="nombre.invalid && (nombre.dirty || nombre.touched)">
            <div *ngIf="nombre.errors.required">
              Nombre es requerido
            </div>
            <div *ngIf="nombre.errors.minlength">
              Nombre debe tener al menos 4 caracteres
            </div>
          </div>
        </div>
      </div>
      <div class="form-group row">
        <label for="tipo" class="col-form-label col-sm-2">Tipo</label>
        <div class="col-sm-2">
          <select   class="form-control" [(ngModel)]="producto.tipo" name="tipo" style="width:500px;">
            <option  [ngValue]="undefined">  ---Seleccione un Tipo--- </option>

            <option  *ngFor="let tipo of tipos" [ngValue]="tipo">{{tipo}} </option>

          </select>
        </div>
      </div>
      <div class="form-group row">
        <label for="precio" class="col-form-label col-sm-2">Precio</label>
        <div class="col-sm-4">
          <input type="text" class="form-control" [(ngModel)]="producto.precio" name="precio" #precio="ngModel"> <!-- required minlength="4" -->
          <div class="alert alert-danger" *ngIf="precio.invalid && (precio.dirty || precio.touched)">
            <div *ngIf="precio.errors.required">
              Precio es requerido
            </div>
            <div *ngIf="precio.errors.minlength">
              Precio debe tener al menos 4 caracteres
            </div>
          </div>
        </div>
      </div>
      <div class="form-group row">
        <label for="medida" class="col-form-label col-sm-2">Medida</label>
        <div class="col-sm-6">
          <!--input type="text" class="form-control" [(ngModel)]="producto.medida" name="medida" #nombre="ngModel"--> <!-- required minlength="4" -->
          <select   class="form-control" [(ngModel)]="producto.medida" name="medida" style="width:500px;">
            <option  [ngValue]="undefined">  ---Seleccione--- </option>

            <option  *ngFor="let tipo of medidas" [ngValue]="tipo">{{tipo}} </option>

          </select>
        </div>
      </div>
      <div class="form-group row">
        <div class="col-sm-6">
          <button class="btn btn-primary" role="button" (click)='create()' *ngIf="!producto.id else elseBlock" [disabled]="!productosForm.form.valid">Crear</button>

          <ng-template #elseBlock>
            <button class="btn btn-primary" role="button" (click)='update()' [disabled]="!productosForm.form.valid">Editar</button>
          </ng-template>
        </div>
      </div>
    </form>

  </div>
</div>
